pcl::cuda::DebayeringDownsampling< Storage > Class Template Reference

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/cuda/io/include/pcl/cuda/io/debayering.h>`

## Public Types

using | RGBImageType = typename Storage< OpenNIRGB >::type

## Public Member Functions

void | compute (const openni_wrapper::Image::Ptr &bayer_image, RGBImageType &rgb_image) const

## Detailed Description

### template<template< typename > class Storage>
class pcl::cuda::DebayeringDownsampling< Storage >

Definition at line 95 of file debayering.h.

## Member Typedef Documentation

## RGBImageType

template<template< typename > class Storage>

using pcl::cuda::DebayeringDownsampling< Storage >::RGBImageType = typename Storage<OpenNIRGB>::type

Definition at line 98 of file debayering.h.

## Member Function Documentation

## compute()

template<template< typename > class Storage>

void pcl::cuda::DebayeringDownsampling< Storage >::compute | ( | const openni_wrapper::Image::Ptr & | bayer_image,
|  | RGBImageType & | rgb_image
| ) |  | const

The documentation for this class was generated from the following file:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/cuda/io/include/pcl/cuda/io/debayering.h